#region Copyright Syncfusion Inc. 2001 -2004
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
#endregion 
 
using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace Syncfusion.Windows.Forms.Chart.Samples
{
	/// <summary>
	/// The ChartControl sample form.
	/// </summary>
	public class FormMain : Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		private Syncfusion.Windows.Forms.BorderPanel borderPanel1;

		public FormMain()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			this.chartControl1.Legend.Visible = false;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormMain));
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.borderPanel1 = new Syncfusion.Windows.Forms.BorderPanel();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(237)), ((System.Byte)(240)), ((System.Byte)(247)));
			//this.chartControl1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("chartControl1.BackgroundImage")));
			// 
			// chartControl1.ChartArea
			// 
			this.chartControl1.ChartArea.BackColor = System.Drawing.Color.Wheat;
			//this.chartControl1.ChartArea.BackImage = ((System.Drawing.Image)(resources.GetObject("chartControl1.ChartArea.BackImage")));
			this.chartControl1.ChartArea.ChartAreaToolTip = "";
			//this.chartControl1.ChartAreaBackImage = ((System.Drawing.Image)(resources.GetObject("chartControl1.ChartAreaBackImage")));
			this.chartControl1.Depth = 50F;
			this.chartControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.chartControl1.HidePartialLabels = false;
			//this.chartControl1.LegendPosition = Syncfusion.Windows.Forms.Chart.ChartLegendPosition.Top;
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.Indexed = true;
			this.chartControl1.PrimaryXAxis.Orientation = System.Windows.Forms.Orientation.Horizontal;
			this.chartControl1.PrimaryXAxis.ZoomFactor = 1;
			this.chartControl1.PrimaryXAxis.ZoomPosition = 0;
			this.chartControl1.PrimaryYAxis.Indexed = false;
			this.chartControl1.PrimaryYAxis.ZoomFactor = 1;
			this.chartControl1.PrimaryYAxis.ZoomPosition = 0;
			this.chartControl1.Rotation = 30F;
			this.chartControl1.Series3D = false;
			this.chartControl1.ShadowColor = new Syncfusion.Drawing.BrushInfo(System.Drawing.Color.FromArgb(((System.Byte)(155)), ((System.Byte)(169)), ((System.Byte)(169)), ((System.Byte)(169))));
			this.chartControl1.Size = new System.Drawing.Size(522, 344);
			this.chartControl1.Spacing = 10F;
			this.chartControl1.TabIndex = 1;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.Tilt = 30F;
			this.chartControl1.Click += new System.EventHandler(this.chartControl1_Click);
			// 
			// borderPanel1
			// 
			this.borderPanel1.Background = new Syncfusion.Drawing.BrushInfo(System.Drawing.Color.FromArgb(((System.Byte)(42)), ((System.Byte)(67)), ((System.Byte)(126))));
			//this.borderPanel1.Control = this.chartControl1;
			this.borderPanel1.Dimensions.All = 15;
			this.borderPanel1.Dimensions.Bottom = 15;
			this.borderPanel1.Dimensions.Left = 15;
			this.borderPanel1.Dimensions.Right = 15;
			this.borderPanel1.Dimensions.Top = 15;
			this.borderPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.borderPanel1.InnerColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(192)), ((System.Byte)(255)));
			this.borderPanel1.InnerCornerRadius.All = 10;
			this.borderPanel1.InnerCornerRadius.BottomLeft = 10;
			this.borderPanel1.InnerCornerRadius.BottomRight = 10;
			this.borderPanel1.InnerCornerRadius.TopLeft = 10;
			this.borderPanel1.InnerCornerRadius.TopRight = 10;
			this.borderPanel1.InnerState = Syncfusion.Windows.Forms.BorderPanelState.Level;
			this.borderPanel1.Location = new System.Drawing.Point(0, 0);
			this.borderPanel1.Name = "borderPanel1";
			this.borderPanel1.Size = new System.Drawing.Size(552, 374);
			this.borderPanel1.TabIndex = 0;
			// 
			// FormMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(552, 374);
			this.Controls.Add(this.chartControl1);
			this.Name = "FormMain";
			this.Text = "Essential Chart - Chart Grid Lines Sample";
			this.Load += new System.EventHandler(this.FormMain_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new FormMain());
		}

		
		private void FormMain_Load(object sender, System.EventArgs e)
		{
			// Specify a ChartPalette
			this.chartControl1.Model.ColorModel.Palette = ChartColorPalette.Triad;
			InitializeChartData();
			InitializeChartAppearance();
			
		}

		/// <summary>
		/// Initializes the ChartControl's data and sets the Chart type
		/// </summary>
		protected void InitializeChartData()
		{
			int numSeries = 1;
			int numPoints = 5;

			Random random = new Random();
			for(int i = 0; i < numSeries; i++)
			{
				ChartSeries series = this.chartControl1.Model.NewSeries( );//   "Series " + i);
								
				this.chartControl1.Indexed = false;
				this.chartControl1.PrimaryXAxis.Range.Min = 0;
				this.chartControl1.PrimaryXAxis.Range.Max = 10;
				this.chartControl1.PrimaryXAxis.Range.Interval = 1.1;
				this.chartControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;

				this.chartControl1.PrimaryYAxis.Range.Min = 0;
				this.chartControl1.PrimaryYAxis.Range.Max = 10;
				this.chartControl1.PrimaryYAxis.Range.Interval = 1.1;
				this.chartControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;
				//this.chartControl1.PrimaryXAxis.GridLineType.BackColor = Color.Blue;
				
				series.Points.Add(3.6,6.5);
				series.Points.Add(2.2,9.1);					
				series.Points.Add(0.1,5.2);
				series.Points.Add(0.9,8.6);
				series.Points.Add(1.6,7.2);
				series.Points.Add(2.6,9.6);
				
				series.ZOrder=1;				
				
				series.Type = ChartSeriesType.Spline;
				//series.PrepareStyle += new ChartPrepareStyleInfoHandler(this.ChartControlSeries_PrepareStyle);
				series.Text = series.Name;
				series.Style.DisplayShadow =false;
				series.Style.Text = string.Format("Value is {0}", series.Points[i].YValues[0]);
				series.Style.TextOrientation = ChartTextOrientation.Center;
				series.Style.Symbol.Size = new Size(15,15);
				series.Style.Symbol.Color = Color.Red;
				series.Style.DisplayShadow = false;

				if(series == this.chartControl1.Series[0])
					series.Style.Symbol.Shape = ChartSymbolShape.Circle;
				else
					series.Style.Symbol.Shape = ChartSymbolShape.Circle;
				this.chartControl1.Series.Add(series);

				//series.Style.Symbol.Shape = ChartSymbolShape.InvertedTriangle;
			}
		}

		/// <summary>
		/// Sets properties to customize the ChartControl's appearance
		/// </summary>
		protected void InitializeChartAppearance()
		{
			this.chartControl1.PrimaryXAxis.GridLineType.ForeColor = Color.White;
			this.chartControl1.PrimaryYAxis.GridLineType.ForeColor = Color.IndianRed;
			this.chartControl1.PrimaryXAxis.GridLineType.Width  = 3;
		}	
	

		/// <summary>
		/// Handler for the PrepareStyle event of ChartSeries. 
		/// </summary>
		/// <param name="sender">The ChartSeries object that raises this event.</param>
		/// <param name="args">The event data. Can be modified to change series appearance.</param>
		protected void ChartControlSeries_PrepareStyle(object sender, ChartPrepareStyleInfoEventArgs args)
		{
			// Style formatting using a callback. You can apply the same settings directly on the series style on the
			// point styles.
			ChartSeries series = sender as ChartSeries;
			if(series != null)
			{
				//args.Style.Text = string.Format("Value is {0}", series.Points[args.Index].YValues[0]);
				args.Style.TextOrientation = ChartTextOrientation.Center;
				args.Style.Symbol.Size = new Size(15,15);
				args.Style.Symbol.Color = Color.Red;
				args.Style.DisplayShadow = false;
				
				

				if(series == this.chartControl1.Series[0])
					args.Style.Symbol.Shape = ChartSymbolShape.InvertedTriangle;
				else
					args.Style.Symbol.Shape = ChartSymbolShape.InvertedTriangle;
				

			}
		}

		private void chartControl1_Click(object sender, System.EventArgs e)
		{
			
		}


	}
}
